| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# HepRndm::BaseEngine Class Reference

`#include <HepRndmBaseEngine.h>`

Inheritance diagram for HepRndm::BaseEngine:

[legend]
Collaboration diagram for HepRndm::BaseEngine:

[legend]
List of all members.

## Detailed Description

Definition at line 28 of file HepRndmBaseEngine.h.

## Public Member Functions
| BaseEngine (const std::string &name, ISvcLocator *loc)
virtual | ~BaseEngine ()
CLHEP::HepRandomEngine * | hepEngine ()
## Protected Attributes
CLHEP::HepRandomEngine * | m_hepEngine

## Constructor & Destructor Documentation

HepRndm::BaseEngine::BaseEngine | ( | const std::string & | name,
|  | ISvcLocator * | loc |
| ) |  |  | `[inline]`

Definition at line 32 of file HepRndmBaseEngine.h.

    00033     : RndmEngine( name, loc ), m_hepEngine(0)  {
    00034     }

virtual HepRndm::BaseEngine::~BaseEngine | ( |  | ) | `[inline, virtual]`

Definition at line 35 of file HepRndmBaseEngine.h.

    00035                           {
    00036     }

## Member Function Documentation

CLHEP::HepRandomEngine* HepRndm::BaseEngine::hepEngine | ( |  | ) | `[inline]`

Definition at line 37 of file HepRndmBaseEngine.h.

References m_hepEngine.

Referenced by HepRndm::Generator< TYPE >::initialize().

    00037                                          {
    00038       return m_hepEngine;
    00039     }

## Member Data Documentation

CLHEP::HepRandomEngine* HepRndm::BaseEngine::m_hepEngine`[protected]`

Definition at line 30 of file HepRndmBaseEngine.h.

Referenced by HepRndm::Engine< TYPE >::finalize(), hepEngine(), HepRndm::Engine< TYPE >::initialize(), HepRndm::Engine< TYPE >::initializeEngine(), HepRndm::Engine< TYPE >::rndm(), HepRndm::Engine< TYPE >::seeds(), and HepRndm::Engine< TYPE >::setSeeds().

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiSvc/v17r1/src/RndmGenSvc/HepRndmBaseEngine.h